Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2447323002: [inspector] use own copy of third_party/inspector_protocol (Closed)

Created:
3 years, 1 month ago by kozy
Modified:
3 years ago
CC:
devtools-reviews_chromium.org, v8-reviews_googlegroups.com
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[inspector] use own copy of third_party/inspector_protocol When Chromium and V8 use the same version of inspector_protocol, any protocol change takes at least 4 patches and 3 waiting for rolls. To simplify this process we need to have two diffrent versions of inspector_protocol in Chromium and V8. Current state of inspector_protocol was extracted into separate repository [1]. This CL puts last version of inspector_protocol into third_party/inspector_protocol and removes dependency on inspector_protocol in Webkit. [1] https://chromium.googlesource.com/deps/inspector_protocol/ BUG=chromium:637032 R=dgozman@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_precise_blink_rel Committed: https://crrev.com/d01dc6dc11e93b5117ade0426bb69dec5bd3b637 Cr-Commit-Position: refs/heads/master@{#40655}

Patch Set 1 #

Patch Set 2 : fixed chromium compilation #

Patch Set 3 : v8_inspector_protocol -> inspector_protocol #

Patch Set 4 : removed README.chromium #

Patch Set 5 : put inspector_protocol in subfolder and added README.v8 file #

Patch Set 6 : changed structure #

Patch Set 7 : updated README.v8 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+4168 lines, -18 lines) Patch
M .gitignore View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M DEPS View 1 chunk +0 lines, -2 lines 0 comments Download
M src/inspector/BUILD.gn View 1 2 5 2 chunks +2 lines, -1 line 0 comments Download
M src/inspector/inspector.gyp View 1 2 5 1 chunk +2 lines, -2 lines 0 comments Download
A third_party/inspector_protocol/CheckProtocolCompatibility.py View 1 2 5 1 chunk +479 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/CodeGenerator.py View 1 2 5 1 chunk +499 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/ConcatenateProtocols.py View 1 2 5 1 chunk +39 lines, -0 lines 0 comments Download
A + third_party/inspector_protocol/LICENSE View 1 2 2 chunks +11 lines, -12 lines 0 comments Download
A third_party/inspector_protocol/OWNERS View 1 2 3 4 5 1 chunk +9 lines, -0 lines 2 comments Download
A third_party/inspector_protocol/README.v8 View 1 2 3 4 5 6 1 chunk +16 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/inspector_protocol.gni View 1 2 5 1 chunk +81 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/inspector_protocol.gypi View 1 2 5 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Allocator_h.template View 1 2 5 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Array_h.template View 1 2 5 1 chunk +136 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/BackendCallback_h.template View 1 2 5 1 chunk +24 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Collections_h.template View 1 2 5 1 chunk +43 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/DispatcherBase_cpp.template View 1 2 5 1 chunk +173 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/DispatcherBase_h.template View 1 2 5 1 chunk +97 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/ErrorSupport_cpp.template View 1 2 5 1 chunk +70 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/ErrorSupport_h.template View 1 2 5 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Forward_h.template View 1 2 5 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/FrontendChannel_h.template View 1 2 5 1 chunk +24 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Maybe_h.template View 1 2 5 1 chunk +80 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Object_cpp.template View 1 2 5 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Object_h.template View 1 2 5 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Parser_cpp.template View 1 2 5 1 chunk +553 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Parser_h.template View 1 2 5 1 chunk +22 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Protocol_cpp.template View 1 2 5 1 chunk +12 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/ValueConversions_h.template View 1 2 5 1 chunk +171 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Values_cpp.template View 1 2 5 1 chunk +407 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/lib/Values_h.template View 1 2 5 1 chunk +246 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/templates/Exported_h.template View 1 2 5 1 chunk +65 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/templates/Imported_h.template View 1 2 5 1 chunk +51 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/templates/TypeBuilder_cpp.template View 1 2 5 1 chunk +359 lines, -0 lines 0 comments Download
A third_party/inspector_protocol/templates/TypeBuilder_h.template View 1 2 5 1 chunk +290 lines, -0 lines 0 comments Download

Messages

Total messages: 42 (28 generated)
kozy
Dmitry, please take a look! It depends on https://codereview.chromium.org/2444193006/. I will update revision in README.chromium ...
3 years, 1 month ago (2016-10-26 00:26:08 UTC) #3
kozy
And we need to revert https://codereview.chromium.org/2436983002/ after landing this.
3 years, 1 month ago (2016-10-26 00:29:51 UTC) #9
dgozman
This should be structured differently. Take a look at https://chromium.googlesource.com/chromium/src/+/master/third_party/closure_linter/ as an example.
3 years, 1 month ago (2016-10-26 01:54:30 UTC) #20
kozy
Changed structure, please take another look!
3 years, 1 month ago (2016-10-26 17:51:26 UTC) #23
kozy
Please take another look.
3 years, 1 month ago (2016-10-26 19:20:56 UTC) #24
dgozman
lgtm https://codereview.chromium.org/2447323002/diff/140001/third_party/inspector_protocol/OWNERS File third_party/inspector_protocol/OWNERS (right): https://codereview.chromium.org/2447323002/diff/140001/third_party/inspector_protocol/OWNERS#newcode1 third_party/inspector_protocol/OWNERS:1: set noparent Let's use file://src/inspector/OWNERS
3 years, 1 month ago (2016-10-26 19:26:36 UTC) #25
kozy
https://codereview.chromium.org/2447323002/diff/140001/third_party/inspector_protocol/OWNERS File third_party/inspector_protocol/OWNERS (right): https://codereview.chromium.org/2447323002/diff/140001/third_party/inspector_protocol/OWNERS#newcode1 third_party/inspector_protocol/OWNERS:1: set noparent On 2016/10/26 19:26:35, dgozman wrote: > Let's ...
3 years, 1 month ago (2016-10-26 21:11:12 UTC) #26
kozy
Jochen, please take a look!
3 years, 1 month ago (2016-10-26 21:11:30 UTC) #28
jochen (gone - plz use gerrit)
deferring to Yang
3 years, 1 month ago (2016-10-27 07:41:28 UTC) #34
Yang
On 2016/10/27 07:41:28, jochen wrote: > deferring to Yang lgtm
3 years, 1 month ago (2016-10-28 15:18:19 UTC) #35
Yang
On 2016/10/27 07:41:28, jochen wrote: > deferring to Yang lgtm
3 years, 1 month ago (2016-10-28 15:18:20 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2447323002/140001
3 years, 1 month ago (2016-10-28 17:31:20 UTC) #38
commit-bot: I haz the power
Committed patchset #7 (id:140001)
3 years, 1 month ago (2016-10-28 18:20:19 UTC) #40
commit-bot: I haz the power
3 years ago (2016-11-17 22:17:15 UTC) #42
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/d01dc6dc11e93b5117ade0426bb69dec5bd3b637
Cr-Commit-Position: refs/heads/master@{#40655}

Powered by Google App Engine
This is Rietveld 408576698